#!/bin/sh

set -eu

image()
{
    local img="$1"
    local tarball="$2"

    vmdb2 minimal.vmdb \
          --output "$img" \
          --verbose \
          --log base.log \
          --rootfs-tarball "$tarball"
    chmod a+r "$img" base.log
    xz -v1T0 "$img"
}

tarballs="$1"
images="$2"

image "$images/debian-buster.img" "$tarballs/debian-amd64-buster.tar.gz"
